cppunit(1)

NAME
cppunit-config - script to get information about the installed version of cppunit

SYNOPSIS
cppunit-config [--prefix[=DIR]] [--exec-prefix[=DIR]] [--version] [--libs] [--cflags]

DESCRIPTION

cppunit-config is a tool that is used to configure to determine the compiler and linker flags that should be used to compile and link programs that use cppunit. It is also used internally to the .m4 macros for GNU autoconf that are included with cppunit.

OPTIONS
cppunit-config accepts the following options:

--version
    Print the currently installed version of cppunit on the standard output.

--libs
    Print the linker flags that are necessary to link a cppunit program.

--cflags
    Print the compiler flags that are necessary to compile a cppunit program.

--prefix
    Print the prefix with which cppunit was compiled.

--prefix=PREFIX
    If specified, use PREFIX instead of the installation prefix that cppunit was built with when computing the output for the --cflags and --libs options. This option is also used for the exec prefix if --exec-prefix was not specified. This option must be specified before any --libs or --cflags options.

--exec-prefix
    Print the exec-prefix with which cppunit was compiled.

--exec-prefix=PREFIX
    If specified, use PREFIX instead of the installation exec prefix that cppunit was built with when computing the output for the --cflags and --libs options. This option must be specified before any --libs or --cflags options.

COPYRIGHT
cppunit Copyright © 1996-2000 by Michael Feathers <mfeathers@objectmentor.com>

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

AUTHOR
This manpage is an almost word-for-word copy of the gtk-config manpage, written by Owen Taylor. It was modified by E. Sommerlade <eric@sommerla.de>.